Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for Oracle Applications API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.oracleadapter.base
Class StatementEventImpl

    java.lang.Object
      java.util.EventObject
          com.stc.connector.oracleadapter.base.StatementEventImpl

All Implemented Interfaces:
  com.stc.connector.db.StatementEvent, java.io.Serializable

    public class StatementEventImpl

extends java.util.EventObject
implements com.stc.connector.db.StatementEvent

Version:
  $Revision: 1.1 $
Author:
  $Author: npiega $
See Also:
  Serialized Form

Constructor Summary
`StatementEventImpl(com.stc.connector.appconn.db.StatementAgent stmtAgent)` StatementEventImpl constructor.
`StatementEventImpl(com.stc.connector.appconn.db.StatementAgent stmtAgent, java.sql.ResultSet resultset)` StatementEventImpl constructor.
`StatementEventImpl(com.stc.connector.appconn.db.StatementAgent stmtAgent, java.sql.SQLException sqlException)` StatementEventImpl constructor.

Method Summary
`java.sql.ResultSet` | `getResultSet()` Gets result set related to the event.
`java.sql.SQLException` | `getSQLException()` Gets the SQLException related to the event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatementEventImpl

    public StatementEventImpl(com.stc.connector.appconn.db.StatementAgent stmtAgent)

  StatementEventImpl constructor.

  Parameters:
    `stmtAgent` - the StatementAgent instance that triggers the event.

### StatementEventImpl

    public StatementEventImpl(com.stc.connector.appconn.db.StatementAgent stmtAgent,
                              java.sql.ResultSet resultset)

  StatementEventImpl constructor.

  Parameters:
    `stmtAgent` - the StatementAgent instance that triggers the event.
    `resultset` - the resultset that created by the StatementAgent.

### StatementEventImpl

    public StatementEventImpl(com.stc.connector.appconn.db.StatementAgent stmtAgent,
                              java.sql.SQLException sqlException)

  StatementEventImpl constructor.

  Parameters:
    `stmtAgent` - the StatementAgent instance that triggers the event.
    `sqlException` - a SQLException that holds the error information.

Method Detail

### getResultSet

    public java.sql.ResultSet getResultSet()

  Gets result set related to the event.

  Specified by:
    `getResultSet` in interface `com.stc.connector.db.StatementEvent`
  Returns:
    a ResultSet instance.

### getSQLException

    public java.sql.SQLException getSQLException()

  Gets the SQLException related to the event.

  Specified by:
    `getSQLException` in interface `com.stc.connector.db.StatementEvent`
  Returns:
    a SQLException instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for Oracle Applications API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc.